=== debian/changelog ===
dtkmultimedia (1.0.7) unstable; urgency=medium

  * fix doc update failed 

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 22 Jul 2024 15:38:26 +0800
