=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,19 @@
 # SPDX-License-Identifier: LGPL-3.0-or-later
 #${CMAKE_INSTALL_DATAROOTDIR}/qt5/doc
 
-set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt5/doc CACHE STRING "QCH install location")
+if (ENABLE_Qt6)
+    find_package(Qt6 COMPONENTS ToolsTools CONFIG REQUIRED)
+    if (TARGET Qt6::qhelpgenerator)
+        get_target_property(QHelpGenerator_EXECUTABLE Qt6::qhelpgenerator LOCATION)
+        set (DOXYGEN_QHG_LOCATION "${QHelpGenerator_EXECUTABLE}")
+    else ()
+        message ("error: can't found qhelpgenerator from Qt6 tools.")
+    endif ()
+else ()
+    set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
+endif ()
+
+set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt${QT_VERSION_MAJOR}/doc CACHE STRING "QCH install location")
 set (DOXYGEN_GENERATE_HTML "YES" CACHE STRING "Doxygen HTML output")
 set (DOXYGEN_GENERATE_XML "NO" CACHE STRING "Doxygen XML output")
 set (DOXYGEN_GENERATE_QHP "YES" CACHE STRING "Doxygen QHP output")
@@ -11,9 +23,8 @@
 set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
 set (DOXYGEN_EXTRACT_STATIC YES)
 set (DOXYGEN_OUTPUT_LANGUAGE "Chinese")
-set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
 set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
-set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://doc.qt.io/qt-5/" CACHE STRING "Doxygen tag files")
+set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://doc.qt.io/qt-${QT_VERSION_MAJOR}/" CACHE STRING "Doxygen tag files")
 set (DOXYGEN_MACRO_EXPANSION "YES")
 set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")
