=== src/CMakeLists.txt ===
add_subdirectory(multimedia)
add_subdirectory(multimediawidgets)
add_subdirectory(ocr)
