=== debian/changelog ===
dtkmultimedia (6.0.0) unstable; urgency=medium

  * feat: enable Qt6 build and switch to Qt6.8

 -- renbin <renbin@uniontech.com>  Tue, 14 Jan 2025 19:10:08 +0800

dtkmultimedia (1.0.9) unstable; urgency=medium

  * fix ocr failed 

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 24 Dec 2024 20:24:33 +0800

dtkmultimedia (1.0.8) unstable; urgency=medium

  * fix ocr failed 

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 07 Dec 2024 13:25:01 +0800
