=== examples/ocrPlugin/debian/changelog ===
dtkocrpluginexample (1.0.0) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 23 Dec 2022 14:29:07 +0800
