=== debian/changelog ===
dtkmultimedia (6.0.1) unstable; urgency=medium

  * fix: ocr crash on sw64(Bug: 310269)

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:56:26 +0800
